package com.company;

public class Department {
    private Lab[] labs;
    private String name;
    private int amount;
    private int currentAmount;

    /**
     * create department
     * @param amount = how many lab can be cerated in 1 Department
     * @param name = name of Department
     */
    public Department(int amount , String name){
        this.amount = amount;
        this.name = name;
        this.labs = new Lab[amount];
        this.currentAmount = 0;
    }

    public void create(Lab lab1) {
        if (currentAmount < amount) {
            this.labs[currentAmount] = lab1;
            this.currentAmount++;
        } else {
            System.out.println(" Department is full!!! u cant add more lab : ");
            lab1.print();
            System.out.println(" Max capacity : "+ amount + "Labs");
        }

    }
    public void print(){
        System.out.println(labs[0].getDay() + " : ");
        System.out.println("Department "  + this.name  + " : ");
        System.out.println("amount of class today is : " + this.amount);
        for (int j=0;j<currentAmount;j++){
            labs[j].print();
        }


    }

    /**
     *
     * @return labs field
     */
    public Lab[] getLabs() {return labs;}

    /**
     *
     * @param labss set labs
     */
    public void setLabs(Lab[] labss){labs = labss;}


    /**
     *
     * @return name
     */
    public String getName(){return  name;}

    /**
     *
     * @param name1 set name
     */
    public void setName(String name1){name = name1;}

    /**
     *
     * @return amount field
     */
    public int getAmount(){return amount;}

    /**
     *
     * @param amount1 set amount
     */
    public void setAmount(int amount1){amount = amount1;}


}
